# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "dope"
version = "0.2.2"
authors = ["inq <gofiri@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = 'Thin io_uring adaptor with "Manifolds"'
readme = false
license = "MIT"
repository = "https://github.com/dope-rs/dope"
resolver = "2"

[lib]
name = "dope"
path = "src/lib.rs"

[[test]]
name = "accept_multishot"
path = "tests/accept_multishot.rs"

[[test]]
name = "composite_reactor_share"
path = "tests/composite_reactor_share.rs"

[[test]]
name = "concurrent_spawn_stress"
path = "tests/concurrent_spawn_stress.rs"

[[test]]
name = "echo_micro"
path = "tests/echo_micro.rs"

[[test]]
name = "net_io_smoke"
path = "tests/net_io_smoke.rs"

[[test]]
name = "runtime_basics"
path = "tests/runtime_basics.rs"

[[test]]
name = "tcp_conn_smoke"
path = "tests/tcp_conn_smoke.rs"

[[test]]
name = "tcp_echo"
path = "tests/tcp_echo.rs"

[[test]]
name = "tcp_robustness"
path = "tests/tcp_robustness.rs"

[[test]]
name = "tcp_writev_bytes"
path = "tests/tcp_writev_bytes.rs"

[[test]]
name = "timer_heap"
path = "tests/timer_heap.rs"

[[test]]
name = "udp_roundtrip"
path = "tests/udp_roundtrip.rs"

[[test]]
name = "uds"
path = "tests/uds.rs"

[[test]]
name = "unix_conn_smoke"
path = "tests/unix_conn_smoke.rs"

[dependencies.dambi]
version = "0.1.0"

[dependencies.dope-core]
version = "0.2.2"

[dependencies.dope-futures]
version = "0.2.2"

[dependencies.dope-runtime]
version = "0.2.2"

[dependencies.dope-session]
version = "0.2.2"

[dependencies.dope-transport]
version = "0.2.2"

[dependencies.dope-udp]
version = "0.2.2"

[dev-dependencies.libc]
version = "0.2"

[target.'cfg(target_os = "linux")'.dev-dependencies.dope-uring]
version = "0.2.2"

[lints.clippy]
result_large_err = "allow"
